Subject: #1075 - 23.0.60; [NS] wrong number of arguments in call to ns_free_indexed_color - Emacs bug report logs

From: Adrian Robert <[email-masked]>
Date: Fri, 3 Oct 2008 14:30:23 -0400

> After a crash I with ns_free_indexed_color, and x_clear_image_1 on  
> the stack. I noticed that x_clear_image_1 calls  
> ns_free_indexed_color with only one argument, but it takes two  
> arguments. Perhaps that explains a number of crashes in  
> ns_free_indexed_color

Thanks for this info.  I checked in a fix based on your suggestion,  
but am unsure whether this will solve the crash since I have not  
experienced it.  If it seems to go away could you please let me know?

thanks